## ust 0.5

=== doc/manual/Makefile ===
all: ust.html

ust.html: manual.texinfo
	makeinfo --html --no-split manual.texinfo

=== debian/changelog ===
ust (0.5-1+squeeze1) testing; urgency=low

  * [893a2e] Backport upstream fix for CVE-2010-3386 (Closes: #598309)

 -- Jon Bernard <jbernard@debian.org>  Wed, 01 Dec 2010 19:10:09 -0500

ust (0.5-1) unstable; urgency=low

  * [79cd16] Imported Upstream version 0.5
  * [18d8be] Include content of BSD license in copyright file
  * [6799aa] Bump standards version to 3.9.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 02 Jul 2010 11:34:21 -0400

ust (0.4-4) unstable; urgency=low

  * [9a6b0e] Include info document in libust0
  * [4fec9e] Reference info document in doc-base file
  * [a90722] Patch info document to include dir section

 -- Jon Bernard <jbernard@debian.org>  Tue, 01 Jun 2010 12:39:30 -0400

ust (0.4-3) unstable; urgency=low

  * Fix typo in libust0.doc-base

 -- Jon Bernard <jbernard@debian.org>  Sat, 29 May 2010 10:20:21 -0400

ust (0.4-2) unstable; urgency=low

  * Restrict architecture list to that of liburcu

 -- Jon Bernard <jbernard@debian.org>  Wed, 24 Mar 2010 09:50:02 -0400

ust (0.4-1) unstable; urgency=low

  * Initial release (Closes: #573361)

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Mar 2010 16:18:28 -0400

=== debian/control ===
Source: ust
Priority: extra
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, liburcu-dev
Standards-Version: 3.9.0
Section: libs
Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ust.git;a=summary
Homepage: http://lttng.org/

Package: libust0
Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LTTng Userspace Tracer (runtime)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST runtime libraries needed to execute applications
 linked against libust.

Package: libust-dev
Section: libdevel
Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
Depends: ${misc:Depends}, libust0 (= ${binary:Version})
Description: LTTng Userspace Tracer (development)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against libust.

Package: ust-bin
Section: utils
Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LTTng Userspace Tracer (utilities)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST utility applications necessary to record and
 analyze trace data.

## ust 0.9

=== debian/changelog ===
ust (0.9-2) unstable; urgency=low

  * [88b622] Add patch to link register test against libpthread
    (Closes: #604955) - thanks to Angel Abad

 -- Jon Bernard <jbernard@debian.org>  Thu, 09 Dec 2010 14:31:43 -0500

ust (0.9-1) unstable; urgency=low

  * [013eef] New upstream version 0.9 (Closes: #604955)
  * [2e5bbe] Depend on no less than version 0.5.2 of liburcu
  * [74b922] Do not build info document, included upstream
  * [d29261] Update html document path to new location
  * [2f6fea] Convert patches to git-buldpackage's patch queue format
  * [abcfff] Update libust0 dependency for info documents
  * [84cbbe] Remove s390 and s390x from architecture list, not supported
    (Closes: #575407)
  * [e79820] Add patch to fix compilation error on ppc

 -- Jon Bernard <jbernard@debian.org>  Mon, 06 Dec 2010 21:16:07 -0500

ust (0.8-1) unstable; urgency=low

  * [e3e73f] Imported Upstream version 0.8
  * [9eb1f6] Remove NMU security patch, applied upstream
  * [0021e4] Generate info and html manual at build-time
  * [899c34] Include new libtap library
  * [94f07d] Remove debian manpages, included upstream

 -- Jon Bernard <jbernard@debian.org>  Tue, 16 Nov 2010 12:23:41 -0500

ust (0.7-3) unstable; urgency=low

  * [2c4036] Restore info-dir-section patch from previous NMU

 -- Jon Bernard <jbernard@debian.org>  Sat, 30 Oct 2010 20:31:26 -0400

ust (0.7-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
    - (CVE-2010-3386--bug598309): New. Fix LD_LIBRARY_PATH. Initial patch
      idea thanks to Etienne Millon <etienne.millon@gmail.com> (grave,
      security; Closes: #598309).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 18 Oct 2010 18:55:42 +0300

ust (0.7-2) unstable; urgency=low

  * [7d6a5c] Remove sparc and alpha from supported architectures
  * [5603a1] Add build dependency on version 0.4.6 of liburcu-dev
  * [5f3cf6] Recommend liburcu-dev for libust-dev - thanks to Alexandre
    Montplaisir <alexandre.montplaisir@gmail.com>
  * [06df73] Depends on version 0.4.6 of liburcu0 for libust0

 -- Jon Bernard <jbernard@debian.org>  Mon, 27 Sep 2010 04:27:29 -0400

ust (0.7-1) unstable; urgency=low

  * [ed442a] Imported Upstream version 0.7
  * [0de6a7] Update installed libraries
  * [dfd55b] Bump standards version to 3.9.1, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Mon, 30 Aug 2010 22:27:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: ust
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, liburcu-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.5.2), texinfo
+Standards-Version: 3.9.1
 Section: libs
 Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ust.git;a=summary
 Homepage: http://lttng.org/
 
 Package: libust0
-Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: i386 amd64 powerpc ppc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, liburcu0 (>= 0.5.2), dpkg (>= 1.15.4) | install-info
 Description: LTTng Userspace Tracer (runtime)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -22,8 +22,9 @@
 
 Package: libust-dev
 Section: libdevel
-Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
+Architecture: i386 amd64 powerpc ppc64
 Depends: ${misc:Depends}, libust0 (= ${binary:Version})
+Recommends: liburcu-dev (>= 0.5.2)
 Description: LTTng Userspace Tracer (development)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -35,7 +36,7 @@
 
 Package: ust-bin
 Section: utils
-Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
+Architecture: i386 amd64 powerpc ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: LTTng Userspace Tracer (utilities)
  The userspace tracer is designed to provide detailed information about

=== debian/watch ===
version=3
http://lttng.org/files/ust/releases/ust-(.*)\.tar\.gz

## ust 0.11

=== debian/changelog ===
ust (0.11-1) unstable; urgency=low

  * [c53bcd] New upstream version 0.11
  * [6ab7d2] Rename libustd to libustconsumer

 -- Jon Bernard <jbernard@debian.org>  Sat, 15 Jan 2011 18:17:42 -0500

## ust 0.15

=== debian/changelog ===
ust (0.15-3) unstable; urgency=low

  * [61bf984] Remove liburcu1 from libust0 Depends (Closes: #637636)

 -- Jon Bernard <jbernard@debian.org>  Sun, 04 Sep 2011 09:57:25 -0400

ust (0.15-2) unstable; urgency=low

  * [0fb2d5c] Update liburcu version dependency (Closes: #637636)

 -- Jon Bernard <jbernard@debian.org>  Sat, 03 Sep 2011 10:20:38 -0400

ust (0.15-1) unstable; urgency=low

  * [bf5ba54] New upstream version 0.15 (Closes: #634408)
  * [b5afb5c] Remove unneeded .la files (Closes: #633172)
  * [889b99e] Remove patch for ppc tracepoint test, fixed upstream
  * [50870be] Update liburcu version dependency
  * [07b147e] Bump Standards-Version to 3.9.2, no changes necessary
  * [e086e89] Rename libustcmd to libustctl
  * [70f2f68] Remove libtap library, not installed anymore

 -- Jon Bernard <jbernard@debian.org>  Tue, 19 Jul 2011 20:46:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ust
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.5.2), texinfo
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.6.2), texinfo
+Standards-Version: 3.9.2
 Section: libs
 Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ust.git;a=summary
@@ -10,7 +10,7 @@
 
 Package: libust0
 Architecture: i386 amd64 powerpc ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, liburcu0 (>= 0.5.2), dpkg (>= 1.15.4) | install-info
+Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Description: LTTng Userspace Tracer (runtime)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: i386 amd64 powerpc ppc64
 Depends: ${misc:Depends}, libust0 (= ${binary:Version})
-Recommends: liburcu-dev (>= 0.5.2)
+Recommends: liburcu-dev
 Description: LTTng Userspace Tracer (development)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	makeinfo --html --no-split doc/info/ust.texi -o debian/ust.html

## ust 0.16

=== debian/changelog ===
ust (0.16-1) unstable; urgency=low

  * [b2e8277] New upstream version 0.16 (Closes: #652252)
  * [17ca597] Depend on version 0.6.6 of liburcu-dev
  * [cdc6f54] Include pkgconfig in libust-dev

 -- Jon Bernard <jbernard@debian.org>  Tue, 03 Jan 2012 14:44:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ust
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.6.2), texinfo
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.6.6), texinfo
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Git: git://git.debian.org/git/collab-maint/ust.git

## ust 2.0.4

=== doc/examples/easy-ust/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com> 
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.

# This makefile is not using automake so that people can see how to make
# simply. It builds a program with a statically embedded tracepoint
# provider probe.
# the "html" target helps for documentation (req. code2html)

CC = gcc
LIBS = -ldl -llttng-ust
CFLAGS = -I.

all: sample

sample: sample.o tp.o
	$(CC) -o $@ $^ $(LIBS)

sample.o: sample.c sample_component_provider.h
	$(CC) $(CFLAGS) -c -o $@ $<

tp.o: tp.c sample_component_provider.h
	$(CC) $(CFLAGS) -c -o $@ $<

html: sample_component_provider.html sample.html tp.html

%.html: %.c 
	code2html -lc $< $@

%.html : %.h
	code2html -lc $< $@

.PHONY: clean
clean:
	rm -f *.html  
	rm -f *.o sample

=== doc/examples/gen-tp/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com>
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
# Copyright (C) 2012  Yannick Brosseau <yannick.brosseau@gmail.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.

# This makefile is not using automake so that people can see how to make
# simply. It builds a program with a statically embedded tracepoint
# provider probe.

CC = gcc
LIBS = -ldl -llttng-ust

all: sample

sample: sample.o sample_tracepoint.o
	$(CC) -o $@ $^ $(LIBS)

sample.o: sample.c sample_tracepoint.h
	$(CC) $(CFLAGS) -c -o $@ $<

# Use this command to compile the .c manually
#sample_tracepoint.o: sample_tracepoint.c sample_tracepoint.h
#	$(CC) $(CFLAGS) -I. -c -o $@ $<

# This rule generate .o only and depends on rules for generating
# the .h and .c
%.o: %.tp %.c %.h
	lttng-gen-tp -o $@ $<

# The following rule can be used to generate all files instead of having one
# for each file type. Note that the sample.o has a dependency on the
# .h, so you need to change that if you remove the %.h rule.
#%.o: %.tp
#	lttng-gen-tp $<

%.h: %.tp
	lttng-gen-tp -o $@ $<

%.c: %.tp
	lttng-gen-tp -o $@ $<

.PHONY: clean
clean:
	rm -f *.o sample
	rm -f sample_tracepoint.h sample_tracepoint.c

=== debian/changelog ===
ust (2.0.4-1ubuntu1) quantal; urgency=low

  * Fix lttng on armel/armhf by making ust build for all architectures.
    This fixes a regression from what we had with lttng-ust before ust
    took over the binary packages in the last sync from Debian.
    Changing all Architecture fields to "any" instead of the hardcoded list,
    this is at least confirmed to be working on Ubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 Aug 2012 15:43:38 -0700

ust (2.0.4-1) unstable; urgency=low

  * [8d66bf4] Update watch file
  * [8d2e5cc] New upstream version 2.0.4
  * [01fc3a7] Synchronize with upstream's packaging effort

 -- Jon Bernard <jbernard@debian.org>  Fri, 29 Jun 2012 16:47:49 -0400

=== debian/control ===
Source: ust
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), liburcu-dev (>= 0.6.6), uuid-dev, texinfo,
  systemtap-sdt-dev (>= 1.6)
Standards-Version: 3.9.3
Section: libs
Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ust.git;a=summary
Homepage: http://lttng.org/

Package: liblttng-ust0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libust0 (<< 2.0.4-1~)
Breaks: libust0 (<< 2.0.4-1~)
Provides: libust0
Description: LTTng 2.0 Userspace Tracer (libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST runtime libraries needed to execute applications
 linked against liblttng-ust.

Package: libust0
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ust0
Description: Transitional package for liblttng-ust0
 This is a transitional package to ease upgrades to the liblttng-ust0 package.
 It can safely be removed.

Package: liblttng-ust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblttng-ust0 (= ${binary:Version}),
 liburcu-dev (>= 0.6.6), uuid-dev, systemtap-sdt-dev (>= 1.6)
Recommends: python
Replaces: libust-dev (<< 2.0.4-1~)
Breaks: libust-dev (<< 2.0.4-1~)
Provides: libust-dev
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

Package: libust-dev
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ust-dev
Description: Transitional package for liblttng-ust-dev
 This is a transitional package to ease upgrades to the liblttng-ust-dev
 package.  It can safely be removed.

Package: ust-bin
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}
Description: Transitional package for lttng-tools
 This is a transitional package to ease upgrades to the lttng-tools package.
 It can safely be removed.

=== debian/watch ===
version=3
http://lttng.org/files/lttng-ust/lttng-ust-(.*)\.tar\.(?:gz|bz2)

## ust 2.1.0~rc1

=== debian/changelog ===
ust (2.1.0~rc1-1) unstable; urgency=low

  * [62f05c8] Set ust-bin to depend on lttng-tools
  * [c61bd3c] Update copyright notice
  * [3837a81] Set Architecture to any
  * [9a6b403] Update watchfile to support upstream RC releases
  * [0cf3789] New upstream version 2.1.0~rc1

 -- Jon Bernard <jbernard@debian.org>  Tue, 11 Sep 2012 15:34:43 -0400

## ust 2.1.0~rc2

=== doc/examples/easy-ust/Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 # the "html" target helps for documentation (req. code2html)
 
 CC = gcc
-LIBS = -ldl -llttng-ust
+LIBS = -ldl -llttng-ust		# On Linux
+#LIBS = -lc -llttng-ust		# On BSD
 CFLAGS = -I.
 
 all: sample

=== doc/examples/gen-tp/Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 # provider probe.
 
 CC = gcc
-LIBS = -ldl -llttng-ust
+
+LIBS = -ldl -llttng-ust		#On Linux
+#LIBS = -lc -llttng-ust		#On BSD
 
 all: sample

=== debian/changelog ===
ust (2.1.0~rc2-1) unstable; urgency=low

  * [13cb8e9] New upstream version 2.1.0~rc2

 -- Jon Bernard <jbernard@debian.org>  Tue, 27 Nov 2012 14:14:40 -0500

## ust 2.1.1

=== debian/changelog ===
ust (2.1.1-2) unstable; urgency=low

  * [390e7e4] Include liblttng-ust-ctl library in liblttng-ust0.
    Thanks to Glenn McGrath

 -- Jon Bernard <jbernard@debian.org>  Thu, 28 Feb 2013 03:48:49 -0500

ust (2.1.1-1) unstable; urgency=low

  * [97f524d] New upstream version 2.1.1

 -- Jon Bernard <jbernard@debian.org>  Sun, 20 Jan 2013 16:54:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ust
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), liburcu-dev (>= 0.6.6), uuid-dev, texinfo,
   systemtap-sdt-dev (>= 1.6)
 Standards-Version: 3.9.3
@@ -65,7 +64,7 @@
 Package: ust-bin
 Section: oldlibs
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, lttng-tools
 Description: Transitional package for lttng-tools
  This is a transitional package to ease upgrades to the lttng-tools package.
  It can safely be removed.

=== debian/watch ===
version=3
opts=versionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-ust/lttng-ust-(.*)\.tar\.(?:gz|bz2)

## ust 2.3.0

=== doc/examples/demo/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

CC = gcc
LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: demo lttng-ust-provider-ust-tests-demo.so lttng-ust-provider-ust-tests-demo3.so

tp.o: tp.c ust_tests_demo.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

tp2.o: tp2.c ust_tests_demo2.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo.so: tp.o tp2.o
	$(CC) -shared -Wl,--no-as-needed -o $@ $(LDFLAGS) $(CFLAGS) \
		$(AM_LDFLAGS) $(AM_CFLAGS) -llttng-ust tp.o tp2.o

tp3.o: tp3.c ust_tests_demo3.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo3.so: tp3.o
	$(CC) -shared -Wl,--no-as-needed -o $@ $(LDFLAGS) $(CFLAGS) \
		$(AM_LDFLAGS) $(AM_CFLAGS) -llttng-ust tp3.o

demo.o: demo.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

demo: demo.o
	$(CC) $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		-o $@ demo.o $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.so demo

=== doc/examples/easy-ust/Makefile ===
--- 
+++ 
@@ -9,31 +9,35 @@
 # Permission to modify the code and to distribute modified code is
 # granted, provided the above notices are retained, and a notice that
 # the code was modified is included with the above copyright notice.
-
-# This makefile is not using automake so that people can see how to make
-# simply. It builds a program with a statically embedded tracepoint
-# provider probe.
+#
+# This makefile is not using automake so that users can see how to build
+# a program with a statically embedded tracepoint provider probe.
 # the "html" target helps for documentation (req. code2html)
+#
+# This makefile is purposefully kept simple to support GNU and BSD make.
 
 CC = gcc
 LIBS = -ldl -llttng-ust		# On Linux
 #LIBS = -lc -llttng-ust		# On BSD
-CFLAGS = -I.
+LOCAL_CPPFLAGS += -I.
 
 all: sample
 
 sample: sample.o tp.o
-	$(CC) -o $@ $^ $(LIBS)
+	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
+		sample.o tp.o $(LIBS)
 
 sample.o: sample.c sample_component_provider.h
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
+		$(AM_CFLAGS) -c -o $@ $<
 
 tp.o: tp.c sample_component_provider.h
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
+		$(AM_CFLAGS) -c -o $@ $<
 
 html: sample_component_provider.html sample.html tp.html
 
-%.html: %.c 
+%.html: %.c
 	code2html -lc $< $@
 
 %.html : %.h
@@ -41,5 +45,5 @@
 
 .PHONY: clean
 clean:
-	rm -f *.html  
+	rm -f *.html
 	rm -f *.o sample

=== doc/examples/gen-tp/Makefile ===
--- 
+++ 
@@ -10,10 +10,12 @@
 # Permission to modify the code and to distribute modified code is
 # granted, provided the above notices are retained, and a notice that
 # the code was modified is included with the above copyright notice.
-
+#
 # This makefile is not using automake so that people can see how to make
 # simply. It builds a program with a statically embedded tracepoint
 # provider probe.
+#
+# This makefile is purposefully kept simple to support GNU and BSD make.
 
 CC = gcc
 
@@ -23,19 +25,25 @@
 all: sample
 
 sample: sample.o sample_tracepoint.o
-	$(CC) -o $@ $^ $(LIBS)
+	$(CC) $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
+		-o $@ sample.o sample_tracepoint.o $(LIBS)
 
 sample.o: sample.c sample_tracepoint.h
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) $(AM_CFLAGS) \
+		-c -o $@ $<
 
 # Use this command to compile the .c manually
 #sample_tracepoint.o: sample_tracepoint.c sample_tracepoint.h
-#	$(CC) $(CFLAGS) -I. -c -o $@ $<
+#	$(CC) $(CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) $(AM_CFLAGS) \
+#		-I. -c -o $@ $<
 
 # This rule generate .o only and depends on rules for generating
 # the .h and .c
 %.o: %.tp %.c %.h
-	lttng-gen-tp -o $@ $<
+	CPPFLAGS="$(CPPFLAGS) $(AM_CPPFLAGS)" \
+	CFLAGS="$(CFLAGS) $(AM_CFLAGS)" \
+	LDFLAGS="$(LDFLAGS) $(AM_LDFLAGS)" \
+	$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<
 
 # The following rule can be used to generate all files instead of having one
 # for each file type. Note that the sample.o has a dependency on the
@@ -44,10 +52,10 @@
 #	lttng-gen-tp $<
 
 %.h: %.tp
-	lttng-gen-tp -o $@ $<
+	$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<
 
 %.c: %.tp
-	lttng-gen-tp -o $@ $<
+	$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<
 
 .PHONY: clean
 clean:

=== doc/examples/hello-static-lib/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes compiled as static libraries.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

CC = gcc
LOCAL_CPPFLAGS += -I.
LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc -llttng-ust	# On BSD

all: hello

lttng-ust-provider-hello.o: tp.c ust_tests_hello.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

lttng-ust-provider-hello.a: lttng-ust-provider-hello.o
	ar -rc $@ lttng-ust-provider-hello.o

hello.o: hello.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

hello: hello.o lttng-ust-provider-hello.a
	$(CC) -o $@ $(LDFLAGS) $(CPPFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		hello.o lttng-ust-provider-hello.a $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a hello

## ust 2.4.0

=== doc/examples/hello-static-lib/Makefile ===
--- 
+++ 
@@ -14,7 +14,10 @@
 #
 # This makefile is purposefully kept simple to support GNU and BSD make.
 
-CC = gcc
+ifdef AM_CC
+	CC = $(AM_CC)
+endif
+
 LOCAL_CPPFLAGS += -I.
 LIBS = -ldl -llttng-ust	# On Linux
 #LIBS = -lc -llttng-ust	# On BSD

=== doc/examples/java-jul/Makefile ===
# 
# Copyright (C) 2013 - David Goulet <dgoulet@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
# IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any purpose,
# provided the above notices are retained on all copies.  Permission to modify
# the code and to distribute modified code is granted, provided the above
# notices are retained, and a notice that the code was modified is included
# with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Default JUL jar name.
JARFILE=liblttng-ust-jul.jar

# Check if the top level makefile overrides the JUL Jar file name.
ifneq "$(JAVA_JARFILE_OVERRIDE)" ""
	JARFILE=$(JAVA_JARFILE_OVERRIDE)
endif

# Check if the top level makefile overrides the JUL classpath.
ifeq "$(JAVA_CLASSPATH_OVERRIDE)" ""
	CLASSPATH=/usr/local/lib/lttng/java/$(JARFILE):/usr/lib/lttng/java/$(JARFILE)
else
	CLASSPATH=$(JAVA_CLASSPATH_OVERRIDE)/$(JARFILE)
endif

JFLAGS = -g
JC = javac -cp "$(CLASSPATH):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Hello.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) *.class

=== debian/changelog ===
ust (2.4.0-4ubuntu1) trusty; urgency=medium

  * Merge upstream bugfix release from Debian unstable. Remaining changes:
    - Switch lttng-gen-tp script to use python3.
    - Add python3 build-dependency.
    - Add ppc64el and arm64 host_cpu stanzas in configure.ac
    - Enable builds on arm64 and ppc64el.
  * Don't bump liburcu build-depend/depend as the new version isn't
    required and won't be in 14.04.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 12:06:21 -0400

ust (2.4.0-4) unstable; urgency=low

  [ Michael Jeanson ]
  * [e7e05c8] Use dh-autoreconf to call autoreconf before building

 -- Jon Bernard <jbernard@debian.org>  Tue, 18 Mar 2014 12:10:09 -0400

ust (2.4.0-3) unstable; urgency=low

  * [40e81f4] Bump dependency on liburcu to version 0.8.4

 -- Jon Bernard <jbernard@debian.org>  Mon, 17 Mar 2014 16:13:37 -0400

ust (2.4.0-2) unstable; urgency=low

  * [3071879] Add explicit build dependency on python (Closes: #741687)

 -- Jon Bernard <jbernard@debian.org>  Sat, 15 Mar 2014 21:11:42 -0400

ust (2.4.0-1) unstable; urgency=low

  * [5c01e4a] New upstream version 2.4.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Mar 2014 16:36:21 -0400

ust (2.4.0~rc4-1ubuntu2) trusty; urgency=medium

  * Switch lttng-gen-tp script to use python3.
  * Add python3 build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 15 Mar 2014 21:02:53 +0000

ust (2.4.0~rc4-1ubuntu1) trusty; urgency=medium

  * Add ppc64el and arm64 host_cpu stanzas in configure.ac
  * Use dh-autoreconf.
  * Enable builds on arm64 and ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 15 Mar 2014 20:41:53 +0000

ust (2.4.0~rc4-1) experimental; urgency=low

  * [6074bb4] New upstream version 2.4.0~rc4
  * [e32544c] Update watch file to only uversionmangle
  * [4050322] Include new libraries in liblttng-ust0

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Feb 2014 15:55:28 -0500

ust (2.3.0-4) unstable; urgency=low

  * [3474a19] Fix upgrade from older liblttng-ust2 package.
    Thanks to Andreas Beckmann (Closes: #730278, #730300)

 -- Jon Bernard <jbernard@debian.org>  Wed, 27 Nov 2013 16:40:23 -0500

ust (2.3.0-3) unstable; urgency=low

  * [2891d68] Update copyright information (Closes: #728170)

 -- Jon Bernard <jbernard@debian.org>  Sun, 17 Nov 2013 21:16:30 -0500

ust (2.3.0-2) unstable; urgency=low

  * [63eb27d] Bump standards version, no changes necessary
  * [c0c304b] Correct version dependency on liburcu
  * [539c38c] Update copyright holder email address
  * [351faa2] Correct VCS links in control file
  * [872f563] Move ctl library into its own package (Closes: #728256)

 -- Jon Bernard <jbernard@debian.org>  Thu, 14 Nov 2013 15:38:30 -0500

ust (2.3.0-1) unstable; urgency=low

  * [f244fc1] New upstream version 2.3.0
  * [e895d50] Bump standards version, no changes necessary
  * [79a2884] Bump soname and remove old transitional packages

 -- Jon Bernard <jbernard@debian.org>  Sun, 20 Oct 2013 08:55:33 -0400

ust (2.1.1-6) unstable; urgency=low

  * [c06ec11] Restrict liblttng-ust-dev's systemtap-sdt-dev dependency

 -- Jon Bernard <jbernard@debian.org>  Fri, 18 Oct 2013 12:43:26 -0400

ust (2.1.1-5) unstable; urgency=low

  * [1a79688] Replace s390 with s390x
  * [97e3fcb] Don't build against systemtap-sdt-dev on s390

 -- Jon Bernard <jbernard@debian.org>  Wed, 16 Oct 2013 17:50:09 -0400

ust (2.1.1-4) unstable; urgency=low

  * [e9f26ce] Futher restrict the architecture list

 -- Jon Bernard <jbernard@debian.org>  Sat, 14 Sep 2013 12:20:36 -0400

ust (2.1.1-3) unstable; urgency=low

  * [9a36287] Only build against systemtap where available

 -- Jon Bernard <jbernard@debian.org>  Wed, 11 Sep 2013 15:31:56 -0400

=== debian/control ===
Source: ust
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.7.2),
  uuid-dev, texinfo, python3:any, dh-python,
  systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
Standards-Version: 3.9.5
Section: libs
Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
Homepage: http://lttng.org/

Package: liblttng-ust0
Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust-ctl2 (= ${binary:Version})
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (tracing libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the actual userspace tracing library that must be linked
 to the instrumented programs.

Package: liblttng-ust-ctl2
Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (trace control library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library to control tracing in other processes. Used by
 lttng-tools.

Package: liblttng-ust-dev
Section: libdevel
Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
Multi-Arch: same
Depends: ${misc:Depends},
  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
  liburcu-dev (>= 0.7.2), uuid-dev,
  systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
Recommends: python3
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Breaks: liblttng-ust0 (<< 2.3.0)
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

=== debian/rules ===
#!/usr/bin/make -f

# The option below causes the shared objects to contain a TEXTREL section,
# triggering a non-PIC lintian error.
#export DEB_BUILD_MAINT_OPTIONS := hardening=+all

HAS_SDT = $(shell dpkg -l systemtap-sdt-dev >/dev/null 2>&1 && echo 0 || echo 1)
 
ifeq ($(HAS_SDT), 0)
	CONFIGURE_FLAGS := "--with-sdt"
endif
 
%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

## ust 2.4.1

=== debian/changelog ===
ust (2.4.1-1ubuntu2) utopic; urgency=medium

  * No-change rebuild against liburcu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Jul 2014 23:47:50 -0700

ust (2.4.1-1ubuntu1) utopic; urgency=medium

  * Merge upstream bugfix release from Debian unstable. Remaining changes:
    - Switch lttng-gen-tp script to use python3.
    - Add python3 build-dependency.
    - Add ppc64el and arm64 host_cpu stanzas in configure.ac
    - Enable builds on arm64 and ppc64el.
    - Don't bump liburcu build-depend/depend as the new version isn't
      required and won't be in 14.04.
  * Refresh lttng-gen-tp patch after upstream change.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 18:04:58 -0400

ust (2.4.1-1) unstable; urgency=low

  [ Michael Jeanson ]
  * [3f43734] Imported Upstream version 2.4.1

 -- Jon Bernard <jbernard@debian.org>  Wed, 09 Apr 2014 13:03:09 -0400

## ust 2.5.0

=== debian/changelog ===
ust (2.5.0-1) unstable; urgency=medium

  * [e695b9e] New upstream version 2.5.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 01 Aug 2014 22:10:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ust
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.7.2),
-  uuid-dev, texinfo, python3:any, dh-python,
+Maintainer: Jon Bernard <jbernard@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
+  uuid-dev, texinfo, python,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
 Standards-Version: 3.9.5
 Section: libs
@@ -12,7 +11,7 @@
 Homepage: http://lttng.org/
 
 Package: liblttng-ust0
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -29,7 +28,7 @@
  to the instrumented programs.
 
 Package: liblttng-ust-ctl2
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,13 +45,13 @@
 
 Package: liblttng-ust-dev
 Section: libdevel
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
-  liburcu-dev (>= 0.7.2), uuid-dev,
+  liburcu-dev (>= 0.8.4), uuid-dev,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
-Recommends: python3
+Recommends: python
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
 Breaks: liblttng-ust0 (<< 2.3.0)

## ust 2.5.1

=== debian/changelog ===
ust (2.5.1-1ubuntu2) vivid; urgency=low

  * debian/liblttng-ust0.symbols:
    - lttng_context_{exit,init} and lttng_add_perf_counter_to_ctx
      are only available on i386/amd64 (LTTNG_UST_HAVE_PERF_EVENT)
      Reported upstream as https://bugs.lttng.org/issues/850/

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 14:57:33 +0100

ust (2.5.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch lttng-gen-tp script to use python3.
    - Add python3 build-dependency.
    - Add arm64 host_cpu stanzas in configure.ac
    - Enable builds on arm64 and ppc64el.
  * Update 0001-Add-aarch64-host-cpu-in-configure.ac.patch
  * Update use-python3 patch
  * use debians liburcu build-depend/depend as we are past 14.04 now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 10:17:07 +0100

ust (2.5.1-1) unstable; urgency=medium

  * [e1dc4b2] New upstream version 2.5.1

 -- Jon Bernard <jbernard@debian.org>  Wed, 22 Oct 2014 20:29:30 +0000

ust (2.5.0-2) unstable; urgency=medium

  * [900b9f9] Add symbols files for library packages.
    Thanks to Dmitry Smirnov (Closes: #765842)
  * [3458cf0] Bump standards version, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Mon, 20 Oct 2014 18:12:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ust
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python,
+  uuid-dev, texinfo, python3:any, dh-python,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
 Homepage: http://lttng.org/
 
 Package: liblttng-ust0
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -28,7 +29,7 @@
  to the instrumented programs.
 
 Package: liblttng-ust-ctl2
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,13 +46,13 @@
 
 Package: liblttng-ust-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
   liburcu-dev (>= 0.8.4), uuid-dev,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
-Recommends: python
+Recommends: python3
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
 Breaks: liblttng-ust0 (<< 2.3.0)

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V
